# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
%define fedora 27
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:		writetype
Version:	1.2.130
Release:	alt1_18
Summary:	Light word processor
Group:		Editors
License:	GPLv3+
URL:		http://writetype.bernsteinforpresident.com/
Source0:	http://bernsteinforpresident.com/programs/%{name}_%{version}.tar.gz
Patch0:		fixed_the_path_in_binary-executive_file_writetype.patch
Patch1:		quick_solution_for_no_sound_problem_tts-festival.patch

BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-module-setuptools, desktop-file-utils

Requires:	python-module-PyQt4, python-module-pyttsx python-module-enchant python-module-enchant-gui, festival
Source44: import.info

%description
WriteType is a free  (and open source) program that helps 
younger students experience success in writing. It is designed 
especially for schools to transform technology from a barrier 
into an opportunity for success.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .fix
%patch1 -p1 -b .fix
%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
# Handling desktop file
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
# Remove shebang
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelibdir_noarch}/%{name}/espeakInterface.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelibdir_noarch}/%{name}/listWidget.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelibdir_noarch}/%{name}/ttsInterface.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelibdir_noarch}/%{name}/festivalInterface.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelibdir_noarch}/%{name}/pyttsxInterface.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelibdir_noarch}/%{name}/main.py
# Delete zero length file
find %{buildroot}%{_datadir}/%{name} -size 0 -delete

#%%files -f %%{name}.lang
%files
%doc README COPYING
%{python_sitelibdir_noarch}/%{name}
%{python_sitelibdir_noarch}/WriteType-%{version}-py?.?.egg-info
%{_bindir}/%{name}
%{_datadir}/%{name}
%attr(0644,root,root) %{_datadir}/applications/%{name}.desktop


%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.2.130-alt1_18
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.2.130-alt1_17
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.2.130-alt1_16
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 1.2.130-alt1_15
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.2.130-alt1_14
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.2.130-alt1_13
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.2.130-alt1_12
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.130-alt1_11
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.130-alt1_10
- initial fc import

